# User specific properties in users_cache/$user_node_name/preferences.cfg
---
structure:
  new_profile_wizard:
    local_log_source_pathname:        string
    show_tips:
      log_file_management:            bool
      backup_your_database:           bool
  profiles:
    show_profiles_filter:             bool
    show_database_info_column:        bool
    show_created_by_column:           bool
  show_profiles_filter:               bool      # Removed
  show_tips:
    scheduler:                        bool
  hide_rebuild_db_advice_message:
    log_filters:                      bool

infos:
  - name:               new_profile_wizard.local_log_source_pathname
    example:            C:\_LOGS\apache\keps_1_day

  - name:               new_profile_wizard.show_tips.log_file_management
    version_added:      8.7.3

  - name:               new_profile_wizard.show_tips.backup_your_database
    version_added:      8.7.3

  - name:               profiles.show_profiles_filter
    version_added:      8.7.3

  - name:               profiles.show_database_info_column
    default_value:      true
    comment:            Column is shown by default, respectively when the node
                        doesn't exist. This option existed before in
                        profiles
    version_added:      8.7.3

  - name:               profiles.show_created_by_column
    version_added:      8.7.3

  - name:               show_profiles_filter
    removed:            true
    comments:           Moved to profiles.show_profiles_filter
    version_added:      8.7.0
    version_removed:    8.7.3

  - name:               show_tips.scheduler
    version_added:      8.7.3

  - name:               hide_rebuild_db_advice_message.log_filters
...















